This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 21141 - gzip-1.2.4a_IBM_patch_001 Makefile.in fix to remove readonly gzip.info before install
gzip-1.2.4a_IBM_patch_001 Makefile.in fix to remove readonly gzip.info before...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gzip (Show other bugs)
6.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-20 15:01 EST by Paul Shearer
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 15:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzip-1.2.4a_IBM_patch_001 Patch file (2.33 KB, patch)
2000-11-20 15:08 EST, Paul Shearer
no flags Details | Diff

  None (edit)
Description Paul Shearer 2000-11-20 15:01:25 EST
To:bug-gzip@gnu.org
cc:
Fcc:MS.bug-report.RPM
Subject: SPTS 254444 BUGZILLA XXXXX gzip-1.2.4a_IBM_patch_001 Makefile.in fix
--------

IBM SPTS:       254444
BUGZILLA:       XXXXX
                http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=XXXXX

IBM PATCH:      gzip-1.2.4a_IBM_patch_001

Submitter:      paulsh@us.ibm.com
                Paul Shearer

Product:        gzip
Version:        gzip-1.2.4a
gzip -V:        gzip 1.2.4 (18 Aug 93)
                Compilation options:
                DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H ASMV
Component:
Platform:       All
OS:             All
uname -a:       DYNIX/ptx eng2 4.0 V4.6.0 i386
Compiler:       cc:  v4.6.0    (00133)

Summary:

        Makefile.in fix to rm readonly installed gzip.info* before installing

Description:

OVERVIEW DESCRIPTION:

        Makefile.in installman target fails to install gzip.info*
        if the previously installed copy is readonly.
        The installman target currently has a rm command to remove
        the previously installed man pages.
        This patch adds the rm command to
        remove the previously installed gzip.info*
        before installing the new gzip.info* files.

STEPS TO REPRODUCE:

        make installman
        make installman (second one fails if installed gzip.info readonly.)

ACTUAL RESULTS:

        ERROR:
        cp: cannot create /info/gzip.info
        cp: Permission denied

EXPECTED RESULTS:

        make installman (should work second time)

BUILD DATE & PLATFORM:

        N/A

ADDITIONAL BUILDS AND PLATFORMS:

        N/A

ADDITIONAL INFORMATION: (crash info)

        N/A

UNIX STACK TRACE:

        N/A

SAMPLE PATCH:

IBM patch sequence number: gzip-1.2.4a_IBM_patch_001


List of files patched followed by RCS or SCCS ident lines.
==========================================================

Makefile.in

# $Id: Makefile.in,v 1.1 2000/11/09 05:27:44 paulsh Exp $


Patch to fix the files
======================
*** 1.1 2000/11/09 05:27:44
--- Makefile.in 2000/11/11 00:27:37
***************
*** 237,244 ****
          ln $(G)zdiff.$(manext) $(G)zcmp.$(manext);\
          ln gzip.$(manext)  gunzip.$(manext);\
        fi
!       -cd $(srcdir); for f in gzip.info* ; do $(INSTALL_DATA) $${f} \
!         $(infodir)/$${f}; done
 
  uninstall: force
        -cd $(bindir); rm -f gzip$X gunzip$X $(ZCAT)$X
--- 237,245 ----
          ln $(G)zdiff.$(manext) $(G)zcmp.$(manext);\
          ln gzip.$(manext)  gunzip.$(manext);\
        fi
!       -cd $(srcdir); for f in gzip.info* ; do \
!         rm -f $(infodir)/$${f}; \
!         $(INSTALL_DATA) $${f} $(infodir)/$${f}; done
 
  uninstall: force
        -cd $(bindir); rm -f gzip$X gunzip$X $(ZCAT)$X
Comment 1 Paul Shearer 2000-11-20 15:08:56 EST
Created attachment 5566 [details]
gzip-1.2.4a_IBM_patch_001 Patch file
Comment 2 Trond Eivind Glomsrxd 2000-11-28 12:43:32 EST
Patching the Makefile.in isn't the right thing to do - it's autogenerated from
Makefile.am. The problem doesn't seem to exist in our buildtrees, which uses 1.3
from alpha.gnu.org - thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.